Bug 105973 - /sbin/new-kernel-pkg segfaults while installing kernel
/sbin/new-kernel-pkg segfaults while installing kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-29 23:00 EDT by louisgtwo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-01 18:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description louisgtwo 2003-09-29 23:00:50 EDT
after rebuilding kernel srpm, installing segfaults /sbin/new-kernel-pkg
Comment 1 Bill Nottingham 2003-09-29 23:17:01 EDT
Does new-kernel-pkg itself segfault, or something that it calls?
Comment 2 louisgtwo 2003-09-30 01:49:30 EDT
Well, when I go rpm -i kernel-XXX it installed but there is a seqfault and the
modules.* files in /lib/modules/2.4.22* are not created.

If there are some debugging option I should use let me know.
Comment 3 Jeremy Katz 2003-10-01 16:28:58 EDT
(bugzilla db horkage, adding comments back by hand)

------- Additional Comments From katzj@redhat.com  2003-09-30 12:59 ------
Which kernel were you installing? 

And you can do `sh -x /sbin/new-kernel-pkg --mkinitrd --depmod
--installkernelversion` to see exactly what's segfaulting.

------- Additional Comments From louisg00@bellsouth.net  2003-10-01 02:51-----
I'm trying to install the recent rawhide kernel. Recompiled with a few options I
like. I just replaced the kernel-2.4.22-i686.config file with a version made
with menuconfig and did a rpmbuild -ba --target i686 kernel-2.4.spec. I compile
what I need into the kernel so no need for a initrd image.
Comment 4 Jeremy Katz 2003-10-01 16:30:54 EDT
What version of elfutils did you have installed when you built the kernel? 
There was a version (0.86) that created horked modules that then would cause a
depmod segfault like this.  0.89 should have it fixed
Comment 5 louisgtwo 2003-10-01 17:46:57 EDT
[louisg00@tiger louisg00]$ rpm -q elfutils
elfutils-0.86-3

If there is a newer one in rawhide I will update and rebuild kernel. Any other
packages go with this?
Comment 6 Jeremy Katz 2003-10-01 18:01:56 EDT
Newer's in rawhide and will definitely fix this.  Only other things that go
along are the elfutils-libelf and elfutils-devel if you have them installed.

Note You need to log in before you can comment on or make changes to this bug.